return {
  'yetone/avante.nvim',
  version = false, -- Set this to "*" to always pull the latest release version, or set it to false to update to the latest code changes.
  opts = {
    debug = false,
    provider = 'gemini',
    auto_suggestions_provider = 'openai', -- Since auto-suggestions are a high-frequency operation and therefore expensive, it is recommended to specify an inexpensive provider or even a free provider: copilot
    openai = {
      endpoint = 'https://api.openai.com/v1',
      -- model = 'o3-mini',
      timeout = 30000, -- Timeout in milliseconds
      temperature = 0,
      max_tokens = 4096,
    },
    gemini = {
      api_key_name = 'GEMINI_API_KEY',
      model = 'gemini-2.5-flash-preview-04-17',
    },
  },
  -- if you want to build from source then do `make BUILD_FROM_SOURCE=true`
  build = 'make',
  -- build = "powershell -ExecutionPolicy Bypass -File Build.ps1 -BuildFromSource false" -- for windows
  dependencies = {
    'stevearc/dressing.nvim',
    'nvim-lua/plenary.nvim',
    'MunifTanjim/nui.nvim',
    'nvim-tree/nvim-web-devicons', -- or echasnovski/mini.icons
    'zbirenbaum/copilot.lua', -- for providers='copilot'
    {
      'MeanderingProgrammer/render-markdown.nvim',
    },
  },
  cmd = {
    'AvanteAsk',
    'AvanteBuild',
    'AvanteChat',
    'AvanteChatNew',
    'AvanteHistory',
    'AvanteClear',
    'AvanteEdit',
    'AvanteFocus',
    'AvanteRefresh',
    'AvanteStop',
    'AvanteSwitchProvider',
    'AvanteShowRepoMap',
    'AvanteToggle',
    'AvanteModels',
    'AvanteSwitchSelectorProvider',
  },
  keys = {
    {
      '<leader>aa',
      '<cmd>AvanteAsk<CR>',
      desc = 'Avante Ask',
    },
  },
  enabled = false,
}
